# DaoUtils Class Reference
[Various accompanying utilities]

Inheritance diagram for DaoUtils:
[legend]

List of all members.

## Static Public Member Functions

static | swap (DAOConnected $first, DAOConnected $second, $property= 'position')
static | setNullValue ($nullValue)
static | increment (DAOConnected &$object, array $fields, $refreshCurrent=true, $query=null)

## Static Private Attributes

static | $nullValue = 0

## Detailed Description

Definition at line 15 of file DaoUtils.class.php.

## Member Function Documentation

static DaoUtils::increment | ( | DAOConnected &$ | object,
|  | array $ | fields,
|  | $ | refreshCurrent = `true`,
|  | $ | query = `null` |
| ) |  |  | `[static]`

Definition at line 81 of file DaoUtils.class.php.

References Expression::add(), DAOConnected::dao(), Expression::eqId(), DBPool::getByDao(), Identifiable::getId(), and OSQL::update().

Here is the call graph for this function:

static DaoUtils::setNullValue | ( | $ | nullValue | ) | `[static]`

Definition at line 76 of file DaoUtils.class.php.

References $nullValue.

static DaoUtils::swap | ( | DAOConnected $ | first,
|  | DAOConnected $ | second,
|  | $ | property = `'position'` |
| ) |  |  | `[static]`

Definition at line 19 of file DaoUtils.class.php.

References DAOConnected::dao(), Identifiable::getId(), Assert::isTrue(), and DBPool::me().

Referenced by DaoMoveHelper::down(), and DaoMoveHelper::up().

Here is the call graph for this function:

## Member Data Documentation

DaoUtils::$nullValue = 0`[static, private]`

Definition at line 17 of file DaoUtils.class.php.

Referenced by setNullValue().

The documentation for this class was generated from the following file:

- main/Utils/DaoUtils.class.php